// Learn more about configuring this file at <https://github.com/theintern/intern/wiki/Configuring-Intern>.
// These default settings work OK for most people. The options that *must* be changed below are the
// packages, suites, excludeInstrumentation, and (if you want functional tests) functionalSuites.
define({
  // The port on which the instrumenting proxy will listen
  proxyPort: 9090,

  // A fully qualified URL to the Intern proxy
  proxyUrl: 'http://localhost:9090/',

  // Default desired capabilities for all environments. Individual capabilities can be overridden by any of the
  // specified browser environments in the `environments` array below as well. See
  // https://code.google.com/p/selenium/wiki/DesiredCapabilities for standard Selenium capabilities and
  // https://saucelabs.com/docs/additional-config#desired-capabilities for Sauce Labs capabilities.
  // Note that the `build` capability will be filled in with the current commit ID from the Travis CI environment
  // automatically

  // Browsers to run integration testing against. Note that version numbers must be strings if used with Sauce
  // OnDemand. Options that will be permutated are browserName, version, platform, and platformVersion; any other
  // capabilities options specified for an environment will be copied as-is
  environments: [
    { browserName: 'chrome' },
    /*
    // Uncomment to test out the following:
    { browserName: 'internet explorer', version: '10', platform: [ 'Windows 7' ] },
    { browserName: 'firefox', version: '21', platform: 'Mac 10.6' },
    { browserName: 'chrome', platform: [ 'Linux', 'Mac 10.8', 'Windows 7' ] },
    { browserName: 'safari', version: '6', platform: 'Mac 10.8' }
    */
  ],

  // Uncomment to try this with Sauce Labs
  tunnel: 'NullTunnel',

  // Maximum number of simultaneous integration tests that should be executed on the remote WebDriver service
  maxConcurrency: 3,

  // Non-functional test suite(s) to run in each browser
  suites: [ 'test/all' ],

  // A regular expression matching URLs to files that should not be included in code coverage analysis
  excludeInstrumentation: /^test|node_modules\//
});
